summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sébastien Ballet2017-11-07 10:06:10 +0100
committer David Spencer2017-11-07 10:06:10 +0100
commitb442552a1f5b2f09f2479973b4793dba9c4d24f1 (patch)
treee49ced2db1e033fa4585e72f7f5444bf985b0893
parent7a461f92e299d154d81d406ceed7077c1e1fafb2 (diff)
downloadslackbuilds-b442552a1f5b2f09f2479973b4793dba9c4d24f1.tar.gz
desktop/fbautostart: Added (XDG Autostarter for Fluxbox).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--desktop/fbautostart/README4
-rw-r--r--desktop/fbautostart/README.Slackware12
-rw-r--r--desktop/fbautostart/fbautostart.SlackBuild103
-rw-r--r--desktop/fbautostart/fbautostart.info10
-rw-r--r--desktop/fbautostart/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/desktop/fbautostart/README b/desktop/fbautostart/README
new file mode 100644
index 0000000000..5ff5f93469
--- /dev/null
+++ b/desktop/fbautostart/README
@@ -0,0 +1,4 @@
+fbautostart is an XDG compliant startup tool for Fluxbox Window
+Manager. This will go through the directories set up by the spec,
+and start all applications that match it's current identifier. You
+may change that identifier with the FBXDG_DE env var.
diff --git a/desktop/fbautostart/README.Slackware b/desktop/fbautostart/README.Slackware
new file mode 100644
index 0000000000..e151e231c0
--- /dev/null
+++ b/desktop/fbautostart/README.Slackware
@@ -0,0 +1,12 @@
+Add the code below into your fluxbox's startup
+script (i.e. ~/.fluxbox/startup), after "Start
+DBUS session bus:" code section, or just above
+the line "exec fluxbox" :
+
+8<-------------------------------------------
+# Start XDG compliant startup tool
+#
+if [ -x /usr/bin/fbautostart ] ; then
+ /usr/bin/fbautostart &
+fi
+8<-------------------------------------------
diff --git a/desktop/fbautostart/fbautostart.SlackBuild b/desktop/fbautostart/fbautostart.SlackBuild
new file mode 100644
index 0000000000..7e8ba3a592
--- /dev/null
+++ b/desktop/fbautostart/fbautostart.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for fbautostart
+
+# Copyright 2017 S. Ballet All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fbautostart
+VERSION=${VERSION:-2.718281828}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "${ARCH}" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "${ARCH}" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "${ARCH}" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf ${PKG}
+mkdir -p ${TMP} ${PKG} ${OUTPUT}
+cd ${TMP}
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf ${CWD}/${PRGNAM}-${VERSION}.tar.gz
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="${SLKCFLAGS}" \
+CXXFLAGS="${SLKCFLAGS}" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/${PRGNAM}-${VERSION} \
+ --build=${ARCH}-slackware-linux
+
+make
+make install DESTDIR=${PKG}
+
+find ${PKG} -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find ${PKG}/usr/man -type f -exec gzip -9 {} \;
+for i in $( find ${PKG}/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cp -a \
+ AUTHORS COPYRIGHT ChangeLog HACKING README.markdown \
+ ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+
+cat ${CWD}/README.Slackware > ${PKG}/usr/doc/${PRGNAM}-${VERSION}/README.Slackware
+cat ${CWD}/$PRGNAM.SlackBuild > $PKG/usr/doc/${PRGNAM}-${VERSION}/${PRGNAM}.SlackBuild
+
+mkdir -p ${PKG}/install
+cat ${CWD}/slack-desc > ${PKG}/install/slack-desc
+
+cd ${PKG}
+/sbin/makepkg -l y -c n ${OUTPUT}/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}
diff --git a/desktop/fbautostart/fbautostart.info b/desktop/fbautostart/fbautostart.info
new file mode 100644
index 0000000000..0d475510fd
--- /dev/null
+++ b/desktop/fbautostart/fbautostart.info
@@ -0,0 +1,10 @@
+PRGNAM="fbautostart"
+VERSION="2.718281828"
+HOMEPAGE="https://launchpad.net/fbautostart"
+DOWNLOAD="https://launchpad.net/fbautostart/fbautostart/2.718281828/+download/fbautostart-2.718281828.tar.gz"
+MD5SUM="06495f9b23b1c9b1bf35c2346cb48f63"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sébastien Ballet"
+EMAIL="slacker6896@gmail.com"
diff --git a/desktop/fbautostart/slack-desc b/desktop/fbautostart/slack-desc
new file mode 100644
index 0000000000..4273795f9c
--- /dev/null
+++ b/desktop/fbautostart/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fbautostart: fbautostart (XDG Autostarter for Fluxbox)
+fbautostart:
+fbautostart: fbautostart is an XDG compliant startup tool for the Fluxbox Window
+fbautostart: Manager.
+fbautostart:
+fbautostart:
+fbautostart: https://launchpad.net/fbautostart
+fbautostart:
+fbautostart:
+fbautostart:
+fbautostart: